import request from '@/utils/request'

// 查询交易明细数据列表
export function listRecordDetail(query) {
  return request({
    url: '/yinnong/recordDetail/list',
    method: 'get',
    params: query
  })
}

// 中心账套入账查询交易明细数据列表
export function listByVoucher(query) {
  return request({
    url: '/yinnong/recordDetail/listByVoucher',
    method: 'get',
    params: query
  })
}
// 导出中心账套交易明细数据
export function exportCoreRecordDetail(query) {
  return request({
    url: '/yinnong/recordDetail/voucherExport',
    method: 'get',
    params: query
  })
}
// 导出交易明细数据
export function exportRecordDetail(query) {
  return request({
    url: '/yinnong/recordDetail/export',
    method: 'get',
    params: query
  })
}

// 查询交易明细数据详细
export function getRecordDetail(id) {
  return request({
    url: '/yinnong/recordDetail/get/' + id,
    method: 'get'
  })
}

// 下载电子回单
export function getDianzihuidan(id) {
  return request({
    url: '/yinnong/recordDetail/getDianzihuidan/' + id,
    method: 'get'
  })
}
// 新增交易明细数据
export function addRecordDetail(data) {
  return request({
    url: '/yinnong/recordDetail/add',
    method: 'post',
    data: data
  })
}

// 修改交易明细数据
export function updateRecordDetail(data) {
  return request({
    url: '/yinnong/recordDetail/edit',
    method: 'post',
    data: data
  })
}

// 删除交易明细数据
export function delRecordDetail(id) {
  return request({
    url: '/yinnong/recordDetail/remove/' + id,
    method: 'get'
  })
}

// 查询常规对账列表
export function getReconciliation(query) {
  return request({
    url: '/yinnong/recordDetail/getReconciliation',
    method: 'get',
    params: query
  })
}

// 查询备付金对账列表
export function getCashReconciliation(query) {
  return request({
    url: '/yinnong/recordDetail/getCashReconciliation',
    method: 'get',
    params: query
  })
}

// 查询非平台支付列表
export function getNonPlatformPay(query) {
  return request({
    url: '/yinnong/recordDetail/getNonPlatformPay',
    method: 'get',
    params: query
  })
}

// 查询所有数据
export function getAllList(query) {
  return request({
    url: '/yinnong/recordDetail/getAllList',
    method: 'get',
    params: query
  })
}
// 导出非平台支付数据
export function exportNonPlatformPay(query) {
  return request({
    url: '/yinnong/recordDetail/exportNonPlatformPay',
    method: 'get',
    params: query
  })
}
